﻿body {
    background-color: white;
    margin: 0;
    padding: 0;
    overflow: hidden;
    width: 100vw;
    height: 100vh;
}


/* - Formato ----------------------------------------------- */
h1 {
    border-bottom: 1px solid gray;
}


/* - Common ------------------------------------------------ */
.centerContainer {
    display: flex;
    height: 100%;
    justify-content: center;
    align-items: center;
}

.centerVContainer {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}

.centerHContainer {
    display: flex;
    justify-content: center;
    align-items: center;
}

.hidden {
    display: none;
}



/* - Fade out ----------------------------------------------- */
.fade-out {
    animation: fadeOut 0.1s forwards;
}

@keyframes fadeOut {
    to {
        opacity: 0;
        visibility: hidden;
    }
}


/* - Layout ------------------------------------------------- */
.app-Main {
    display: flex;
    flex-direction: column;
    height: 100dvh;
}

header {
    height: 62px;
    flex-shrink: 0;
    position: sticky;
    top: 0;
    z-index: 9990;
    border-bottom: 1px solid gray;
}

main {
    flex: 1;
    overflow-y: auto;
    min-height: 0;
}

footer {
    height: 64px;
    flex-shrink: 0;
    border-top: 1px solid gray;
}



/* - Barra de aplicación y menú hamburguesa ----------- */
.app-header {
    background: #fff;
    padding: 14px 18px 12px;
    display: flex;
    flex-direction: row;
    flex-shrink: 0;
    overflow: hidden;
}

.app-title {
    flex: 1;
    font-size: 22px;
    font-weight: 600;
    color: #1a1a1a;
    letter-spacing: -0.3px;
}

.app-title-maps {
    color: red;
    margin: 1px;
}

.hamburger {
    width: 32px;
    flex-shrink: 0;
    cursor: pointer;
}

.hamburger-menu-icon {
    margin-top: -12px;
    margin-right: 0px;
    height: 50px;
}

.hamburger-menu {
    position: fixed;
    z-index: 9990;
    top: 0px;
    right: 0px;
    height: Calc(100% - 64px);
    border: 1px solid gray;
    background: #eeeeeeee;
    font-size: 150%;
    overflow: hidden;
    padding: 0;
    width: 0px;
    transition: all 0.5s ease;
}

.hamburger-menu-open {
    width: 420px;
    max-width: 90%;
    padding: 4px;
    overflow: auto;
}


.hamburger-close-icon {
    position: absolute;
    right: 20px;
    top: 10px;
    background: red;
    margin: 4px;
    text-align: center;
    padding: 2px 10px;
}

.hamburger-menu ul {
    padding: 4px;
    font-size: 120%;
}

.hamburger-menu li {
    list-style: none;
    padding: 4px 10px;
    cursor: pointer;
    margin-bottom: 10px;
}

    .hamburger-menu li:hover {
        background-color: black;
        color: white;
    }

.hamburger-menu li:hover .hamburger-menu-icon path {
    fill: white;
}

.hamburger-menu li:hover .hamburger-menu-icon2 path {
    stroke: white;
}



/* - Menú inferior ----------------------------- */
.menu-bottom {
    width: 100vw;
    height: 100%;
    display: flex;
    flex-direction: row;
    flex-shrink: 0;
    z-index: 9980;
}

.menu-bottom-box {
    flex: 1;
    text-align: center;
    margin-top: 5px;
    width: 80px;
    height: 80px;
    position: relative;
}

.menu-bottom-item {
}

    .menu-bottom-item img {
        width: 32px;
    }

.menu-bottom-selected {
    background: #f0f0f0;
    border: 2px solid #1a1a1a;
    border-radius: 50%;
    width: 80px;
    height: 80px;
    margin: -27px auto;
    z-index: 9970;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
}

    .menu-bottom-selected img {
        width: 42px;
        margin-top: 5px;
    }

    .menu-bottom-selected div {
        font-weight: bold;
        margin-top: -5px;
    }
/* - Contenidos --------------------------------------------- */
.contenedor-pagina {
    margin: 8px;
}
/* - Loader ------------------------------------------------- */
.loading {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 9999;
    display: flex;
    width: 100vw;
    height: Calc(100dvh - 64px);
    justify-content: center;
    align-items: center;
}

.loader .box {
    background-color: rgb(84, 84, 84);
    width: 220px;
    height: 220px;
    padding: 20px;
    border-radius: 20px;
    border: 5px solid gray;
    position: relative;
    overflow: hidden;
    box-shadow: 3px 4px 5px rgb(193, 193, 193);
}

    .loader .box .screen {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        background-color: black;
        width: calc(100% - 40px);
        height: calc(100% - 40px);
        border-radius: 10px;
        padding: 10px;
        overflow: hidden;
    }

.screen .lightray-limit {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: calc(100% - 20px);
    height: calc(100% - 20px);
    overflow: hidden;
    border-radius: 10px;
    background-color: #060;
}

.screen .lightray {
    position: absolute;
    left: 0;
    top: 0;
    transform: translate(-50%, -50%);
    width: 250%;
    height: 250%;
    background-image: radial-gradient(#ffffffa1, transparent, transparent);
    border-radius: 10px 10px 0 0;
}

.screen .loader-box {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 70%;
    padding: 5px;
    border: 5px solid #0e0;
}

    .screen .loader-box .progress {
        width: 0;
        height: 5px;
        background-color: #0f0;
        animation: progress 5s infinite;
    }

.screen .loader-text {
    position: absolute;
    left: Calc(50% + 24px);
    top: Calc(50% + 30px);
    transform: translate(-50%, -50%);
    width: 70%;
    padding: 5px;
    color: #0f0;
}

.top-side {
    position: absolute;
    width: 100%;
    height: 100%;
    top: -55px;
    left: 50%;
    transform: translate(-50%, -50%) rotate(45deg);
    box-shadow: 10px 10px 10px #1f1f1f8a;
    background-color: #1f1f1f8a;
}

.bottom-side {
    position: absolute;
    width: 100%;
    height: 100%;
    top: calc(100% + 60px);
    left: 50%;
    transform: translate(-50%, -50%) rotate(45deg);
    box-shadow: -10px -10px 10px #a5a5a5;
    background-color: #a5a5a5;
}

@keyframes progress {
    from {
        width: 0;
    }

    to {
        width: 100%;
    }
}
/* - Noticias --------------------------- */
.miniPost {
    width: 100%;
    height: 120px;
    margin-top: 10px;
    padding: 10px;
    border: 1px solid lightgray;
    border-radius: 10px;
    box-shadow: 0 4px 10px rgba(0,0,0,0.25);
}

.minipost-imagen {
    float: left;
    width: 150px;
    height: 100px;
    object-fit: cover;
    object-position: top;
    margin-right: 10px;
    border: 1px solid black;
}

.miniPost-titulo {
    font-size: 120%;
    font-weight: bold;
}

.miniPost-contenido{
    height: 100%;
    overflow: auto;
}



/* - Mapa --------------------------------------- */
.mapa-contenedor{
    width: 100%;
    height: 100%;
    overflow: hidden;
    position: relative;
    z-index: 10;
}

.mapa {
    width: 100%;
    height: Calc(100% + 22px);
    position: relative;
    z-index: 10;
}

.mapa-popup-content {
    display: flex;
    align-items: stretch;
    gap: 12px;
    max-width: 400px;
}

.mapa-popup-imagen {
    height: 100px;
    width: 100px;
    object-fit: cover;
    flex-shrink: 0;
    border-radius: 6px;
}

/* Contenedor de texto + botón */
.mapa-popup-info {
    display: flex;
    flex-direction: column;
    flex: 1;
    min-height: 100%;
}

.mapa-popup-titulo {
    font-weight: bold;
    margin-bottom: 6px;
}

.mapa-popup-horario {
    margin-bottom: 10px;
    color: #666;
}

.mapa-popup-btn {
    align-self: flex-end;
    margin-top: auto;
    font-size: 80%;
}
